Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3729 - amstex.fmt missing from tetex-0.9-17
Summary: amstex.fmt missing from tetex-0.9-17
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-25 15:51 UTC by len
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-13 00:29:08 UTC


Attachments (Terms of Use)

Description len 1999-06-25 15:51:39 UTC
tetex-0.9-17, as provided in RH 6.0, is missing an
executable amstex.  amstex was included in previous versions
of tetex, and is a commonly used version of TeX by
mathematicians.  The basic problem is that there is no
amstex.fmt in /usr/share/texmf.  This can be created easily
by running
initex /usr/share/texmf/tex/amstex/config/amstex.ini
After placing amstex.fmt in /usr/share/texmf, one needs to
make a symbolic link in /usr/bin by
ln -s amstex tex
It is possible that teTeX no longer includes amstex.fmt by
default, but it is also possible that whoever created the
rpm package didn't create it as may have been done in
earlier versions of the package.   But in any event, it is
used commonly enough that it should be there by default.

Comment 1 Jeff Johnson 1999-06-27 21:28:59 UTC
Here's what teTeX-1.0/texk/web2c/Makefile.in has to say:
   ...
   @TEX@fmts = #latex.fmt # amstex.fmt eplain.fmt texinfo.fmt
   ...
AFAICT the 2nd pound sign indicates that amstex (and eplain/texinfo)
are not built by default. I'll try to get this turned on the
next time I build teTeX -- complain if I forget :-)Here's what teTeX-1.0/texk/web2c/Makefile.in has to say:
   ...
   @TEX@fmts = #latex.fmt # amstex.fmt eplain.fmt texinfo.fmt
   ...
AFAICT the 2nd pound sign indicates that amstex (and eplain/texinfo)
are not built by default. I'll try to get this turned on the
next time I build teTeX -- complain if I forget :-)


------- Email Received From  Leonard Evens <len@schur.math.nwu.edu> 06/27/99 17:42 -------

Comment 2 Jeff Johnson 1999-08-13 00:29:59 UTC
Fixed in tetex-1.0.6-1.


Note You need to log in before you can comment on or make changes to this bug.